# Interface AxiosInstance

interface AxiosInstance {
defaults : Omit < AxiosDefaults <any>, "headers"> & {
headers: HeadersDefaults & { [key: string]: AxiosHeaderValue };
};
interceptors : {
request: AxiosInterceptorManager < InternalAxiosRequestConfig <any>>;
response: AxiosInterceptorManager < AxiosResponse <any, any>>;
};
delete < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
get < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
getUri (config?: AxiosRequestConfig <any>): string;
head < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
options < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
patch < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
patchForm < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
post < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
postForm < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
put < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
putForm < T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
data?: D ,
config?: AxiosRequestConfig < D >,
): Promise< R >;
request < T = any, R = AxiosResponse < T , any>, D = any>(
config: AxiosRequestConfig < D >,
): Promise< R >;
< T = any, R = AxiosResponse < T , any>, D = any>(
config: AxiosRequestConfig < D >,
): Promise< R >;
< T = any, R = AxiosResponse < T , any>, D = any>(
url: string,
config?: AxiosRequestConfig < D >,
): Promise< R >;
}

#### Hierarchy (View Summary)

- Axios
  - AxiosInstance
    - AxiosStatic

- AxiosInstance< T = any, R = AxiosResponse < T , any>, D = any>(
  config: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:512
- AxiosInstance< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  - Defined in node_modules/axios/index.d.ts:513

##### Index

### Properties

defaults
interceptors

### Methods

delete
get
getUri
head
options
patch
patchForm
post
postForm
put
putForm
request

## Properties

### defaults

defaults: Omit < AxiosDefaults <any>, "headers"> & {
headers: HeadersDefaults & { [key: string]: AxiosHeaderValue };
}

Overrides Axios.defaults

- Defined in node_modules/axios/index.d.ts:515

### interceptors

interceptors: {
request: AxiosInterceptorManager < InternalAxiosRequestConfig <any>>;
response: AxiosInterceptorManager < AxiosResponse <any, any>>;
}

Inherited from Axios.interceptors

- Defined in node_modules/axios/index.d.ts:493

## Methods

### delete

- delete< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.delete

  - Defined in node_modules/axios/index.d.ts:500

### get

- get< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.get

  - Defined in node_modules/axios/index.d.ts:499

### getUri

- getUri(config?: AxiosRequestConfig <any>): string

  #### Parameters

  - `Optional` config: AxiosRequestConfig <any>

  #### Returns string

  Inherited from Axios.getUri

  - Defined in node_modules/axios/index.d.ts:497

### head

- head< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.head

  - Defined in node_modules/axios/index.d.ts:501

### options

- options< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.options

  - Defined in node_modules/axios/index.d.ts:502

### patch

- patch< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.patch

  - Defined in node_modules/axios/index.d.ts:505

### patchForm

- patchForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.patchForm

  - Defined in node_modules/axios/index.d.ts:508

### post

- post< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.post

  - Defined in node_modules/axios/index.d.ts:503

### postForm

- postForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.postForm

  - Defined in node_modules/axios/index.d.ts:506

### put

- put< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.put

  - Defined in node_modules/axios/index.d.ts:504

### putForm

- putForm< T = any, R = AxiosResponse < T , any>, D = any>(
  url: string,
  data?: D ,
  config?: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - url: string
  - `Optional` data: D
  - `Optional` config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.putForm

  - Defined in node_modules/axios/index.d.ts:507

### request

- request< T = any, R = AxiosResponse < T , any>, D = any>(
  config: AxiosRequestConfig < D >,
  ): Promise< R >

  #### Type Parameters

  - T = any
  - R = AxiosResponse < T , any>
  - D = any

  #### Parameters

  - config: AxiosRequestConfig < D >

  #### Returns Promise< R >

  Inherited from Axios.request

  - Defined in node_modules/axios/index.d.ts:498